gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.MountOperationHandler_

Contents

- Exported types
- Methods

Description

Abstract interface type for the D-Bus interface <link linkend="gdbus-interface-org-Gtk-MountOperationHandler.top_of_page">org.Gtk.MountOperationHandler</link>.

Synopsis

- newtype MountOperationHandler_ = MountOperationHandler_ (ManagedPtr MountOperationHandler_)

# Exported types

newtype MountOperationHandler_ Source #

Memory-managed wrapper type.

Constructors

MountOperationHandler_ (ManagedPtr MountOperationHandler_) |

#### Instances

Instances details

Eq MountOperationHandler_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandler_ Methods (==) :: MountOperationHandler_ -> MountOperationHandler_ -> Bool Source # (/=) :: MountOperationHandler_ -> MountOperationHandler_ -> Bool Source #
BoxedPtr MountOperationHandler_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandler_ Methods boxedPtrCopy :: MountOperationHandler_ -> IO MountOperationHandler_ Source # boxedPtrFree :: MountOperationHandler_ -> IO () Source #
ManagedPtrNewtype MountOperationHandler_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandler_ Methods toManagedPtr :: MountOperationHandler_ -> ManagedPtr MountOperationHandler_ Source #

# Methods